GZIPOutputStream
Date: 2015-09-12

com.jcraft.jzlib

## Class GZIPOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - com.jcraft.jzlib.DeflaterOutputStream
      - - com.jcraft.jzlib.GZIPOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class GZIPOutputStream
      extends DeflaterOutputStream

- - ### Field Summary

    - ### Fields inherited from class com.jcraft.jzlib.DeflaterOutputStream

      `buffer, DEFAULT_BUFSIZE, deflater, mydeflater`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GZIPOutputStream(java.io.OutputStream out)`
    `GZIPOutputStream(java.io.OutputStream out, Deflater deflater, int size, boolean close_out)`
    `GZIPOutputStream(java.io.OutputStream out, int size)`
    `GZIPOutputStream(java.io.OutputStream out, int size, boolean close_out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCRC()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setModifiedTime(long mtime)`
    `void` | `setName(java.lang.String name)`
    `void` | `setOS(int os)`

    - ### Methods inherited from class com.jcraft.jzlib.DeflaterOutputStream

      `close, deflate, finish, flush, getDeflater, getSyncFlush, getTotalIn, getTotalOut, setSyncFlush, write, write`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GZIPOutputStream

          public GZIPOutputStream(java.io.OutputStream out)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### GZIPOutputStream

          public GZIPOutputStream(java.io.OutputStream out,
                          int size)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### GZIPOutputStream

          public GZIPOutputStream(java.io.OutputStream out,
                          int size,
                          boolean close_out)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### GZIPOutputStream

          public GZIPOutputStream(java.io.OutputStream out,
                          Deflater deflater,
                          int size,
                          boolean close_out)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### setModifiedTime

          public void setModifiedTime(long mtime)
                               throws GZIPException

      Throws:
        `GZIPException`

    - #### setOS

          public void setOS(int os)
                     throws GZIPException

      Throws:
        `GZIPException`

    - #### setName

          public void setName(java.lang.String name)
                       throws GZIPException

      Throws:
        `GZIPException`

    - #### setComment

          public void setComment(java.lang.String comment)
                          throws GZIPException

      Throws:
        `GZIPException`

    - #### getCRC

          public long getCRC()
                      throws GZIPException

      Throws:
        `GZIPException`